%define major 0
%define libname		%mklibname mbim %{major}
%define develname	%mklibname mbim -d

Name:       libmbim
Version:    1.6.0
Release:    %mkrel 1
Summary:    MBIM modem protocol helper library
License:    GPLv2
Group:      System/Libraries
URL:        http://cgit.freedesktop.org/libmbim/libmbim/
Source:     http://www.freedesktop.org/software/libmbim/libmbim-%version.tar.gz
BuildRequires: glib2-devel
BuildRequires: libgudev-devel
BuildRequires: gtk-doc

%description
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		Development/C

%description -n	%{libname}
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.
This package contains MBIM shared libraries.

%package -n	%{develname}
Summary:	Header files and development libraries for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release} 
Provides:	mbim-devel = %{version}-%{release}

%description -n	%{develname}
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.
This package contains MBIM header files and development libraries.

%package utils
Summary:    MBIM command line utilities
License:    GPLv2
Group:      System/Base

%description utils
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.
This package contains MBIM command line utilities.

%prep
%setup -q
./autogen.sh

%build
%configure2_5x \
	--disable-static \
	--enable-gtk-doc
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%check
make check

%files -n %{libname}
%doc AUTHORS COPYING NEWS
%_libdir/*.so.*

%files -n %{develname}
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_datadir/gtk-doc/html/*

%files utils
%_bindir/mbimcli
%_bindir/mbim-network
%_mandir/man1/mbimcli.1*
%_mandir/man1/mbim-network.1*



%changelog
* Thu Dec 19 2013 guillomovitch <guillomovitch> 1.6.0-1.mga4
+ Revision: 558907
- new version
- fix devel package virtual package name

* Sat Oct 19 2013 umeabot <umeabot> 1.4.0-2.mga4
+ Revision: 531138
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 guillomovitch <guillomovitch> 1.4.0-1.mga4
+ Revision: 462160
- imported package libmbim

